> ## Name

> cgGetParameterEffect - get a parameter's parent program

> ## Synopsis

>     #include <Cg/cg.h>

>     CGeffect cgGetParameterEffect( CGparameter param );

> ## Parameters

> param
>   The parameter.

> ## Return Values

> Returns a CGeffect handle to the parent effect.

> Returns NULL if the parameter is not a child of an effect or if an error occurs.

> ## Description

> cgGetParameterEffect allows the application to retrieve a handle to the effect to which a given parameter belongs.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> ## History

> cgGetParameterEffect was introduced in Cg 1.5.

> ## See Also

> cgCreateEffect, cgGetParameterProgram, cgCreateParameter